Bug 848421 - Review Request: pgRouting - Provides routing functionality to PostGIS/PostgreSQL
Review Request: pgRouting - Provides routing functionality to PostGIS/PostgreSQL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Damian Wrobel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 10:31 EDT by Volker Fröhlich
Modified: 2012-09-17 19:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 19:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwrobel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Volker Fröhlich 2012-08-15 10:31:39 EDT
Spec URL: http://www.geofrogger.net/review/pgRouting.spec
SRPM URL: http://www.geofrogger.net/review/pgRouting-1.05-1.fc16.src.rpm
Description:

pgRouting extends the PostGIS / PostgreSQL geospatial database to provide
geospatial routing functionality.

It provides functions for:

- Shortest Path Dijkstra: routing algorithm without heuristics
- Shortest Path A-Star: routing for large datasets (with heuristics)
- Shortest Path Shooting-Star: routing with turn restrictions (with heuristics)
- Driving Distance calculation (Isolines)

Fedora Account System Username: volter

This is a re-review. The package was deprecated. Please see http://lists.fedoraproject.org/pipermail/devel/2012-August/170796.html for details.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4392662
Comment 1 Damian Wrobel 2012-08-17 15:10:45 EDT
I'll take this one.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or
     explain):pgRouting-1.05-1.fc17.i686.rpm : /usr/lib/pgsql/librouting.so
     pgRouting-1.05-1.fc17.i686.rpm : /usr/lib/pgsql/librouting_dd.so

According to [1] it's acceptable as it's a plugin for a specific application.

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

Seems to be false positive as both BSL and GPLv2+ are installed.

[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSL (v1.0)", "*No copyright* UNKNOWN", "GPL (v2 or later)" For detailed
     output of licensecheck see file:
     /home/dw/projects/fedpkg/test/848421-pgRouting/licensecheck.txt

"*No copyright* UNKNOWN" comes from the core/src/edge_visitors.hpp file.
But it's the same file as it was in the previous approved version of the package.

[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch1 (pgrouting-1.05-flags.patch) Source0 (pgrouting-1.05.tar.gz)

This is because the project use different tarbal name.

[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Seems to be a false positive as both licenses are installed.

Rpmlint
-------
Checking: pgRouting-debuginfo-1.05-1.fc17.i686.rpm
          pgRouting-1.05-1.fc17.i686.rpm
          pgRouting-1.05-1.fc17.src.rpm
pgRouting.i686: W: spelling-error %description -l en_US geospatial -> spatial
pgRouting.i686: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
pgRouting.i686: E: incorrect-fsf-address /usr/share/doc/pgRouting-1.05/COPYING
pgRouting.src: W: spelling-error %description -l en_US geospatial -> spatial
pgRouting.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
3 packages and 0 specfiles checked; 1 errors, 4 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint pgRouting
pgRouting.i686: W: spelling-error %description -l en_US geospatial -> spatial
pgRouting.i686: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
pgRouting.i686: E: incorrect-fsf-address /usr/share/doc/pgRouting-1.05/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'

Requires
--------
pgRouting-debuginfo-1.05-1.fc17.i686.rpm (rpmlib, GLIBC filtered):
    

pgRouting-1.05-1.fc17.i686.rpm (rpmlib, GLIBC filtered):
    
    libCGAL.so.9  
    libc.so.6  
    libgcc_s.so.1  
    libgcc_s.so.1(GCC_3.0)  
    libm.so.6  
    libstdc++.so.6  
    libstdc++.so.6(CXXABI_1.3)  
    libstdc++.so.6(CXXABI_1.3.1)  
    postgis  
    rtld(GNU_HASH)  

Provides
--------
pgRouting-debuginfo-1.05-1.fc17.i686.rpm:
    
    pgRouting-debuginfo = 1.05-1.fc17
    pgRouting-debuginfo(x86-32) = 1.05-1.fc17

pgRouting-1.05-1.fc17.i686.rpm:
    
    librouting.so  
    librouting_dd.so  
    pgRouting = 1.05-1.fc17
    pgRouting(x86-32) = 1.05-1.fc17

MD5-sum check
-------------
http://download.osgeo.org/pgrouting/source/pgrouting-1.05.tar.gz :
  MD5SUM this package     : bd7c106e3db3c38f7081f1ee9b0e12ae
  MD5SUM upstream package : bd7c106e3db3c38f7081f1ee9b0e12ae


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review --bug 848421
External plugins:


Please consider to install the extension according to the pg_config configuration utility. More precisely *.sql should probably go to somewhere where `pg_config --sharedir` points to (not to hardcoded: /usr/share/postlbs).

--------
APPROVED
--------

[1] http://fedoraproject.org/wiki/Packaging/Guidelines#Devel_Packages
Comment 2 Volker Fröhlich 2012-08-17 15:43:52 EDT
Thank you Damian!
Comment 3 Volker Fröhlich 2012-08-19 13:00:23 EDT
Package Change Request
======================
Package Name: pgRouting
New Branches: f16 f17 f18
Owners: volter
InitialCC:

This was a re-review for a deprecated package.
Comment 4 Volker Fröhlich 2012-08-19 13:01:32 EDT
Damain, I think you must take the ticket.
Comment 5 Gwyn Ciesla 2012-08-19 16:01:26 EDT
Git done (by process-git-requests).

Take ownership of devel in pkgdb.
Comment 6 Volker Fröhlich 2012-08-19 16:12:58 EDT
Jon, I can't take the ownership of devel.
Comment 7 Gwyn Ciesla 2012-08-19 16:16:14 EDT
Whoops, now you can, sorry.
Comment 8 Fedora Update System 2012-08-20 02:38:21 EDT
pgRouting-1.05-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pgRouting-1.05-1.fc16
Comment 9 Fedora Update System 2012-08-20 02:39:05 EDT
pgRouting-1.05-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pgRouting-1.05-1.fc17
Comment 10 Fedora Update System 2012-08-20 02:39:56 EDT
pgRouting-1.05-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pgRouting-1.05-1.fc18
Comment 11 Fedora Update System 2012-08-20 15:50:17 EDT
Package pgRouting-1.05-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pgRouting-1.05-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12306/pgRouting-1.05-1.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-08-28 19:31:39 EDT
pgRouting-1.05-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-08-28 19:32:12 EDT
pgRouting-1.05-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-09-17 19:23:32 EDT
pgRouting-1.05-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.